/* a-boxes (WP Slide-up box) front end scripts */



// Initialize the boxes
function wpsub_init() {

	jQuery(document).ready(function($){

		$('.wpsub-boxgrid').each(function(){

			var iheight = $( '.wpsub-background', this ).height();
			var iwidth = $( '.wpsub-background', this ).width();
			var	stopx = $( '.slideup_title', this ).outerHeight();

			$( '.cover', this ).css( { width: iwidth + 'px' } );

			$(this).not('.wpsub-clicked').each(function(){
				$( '.bottom-up-full', this ).css( { top: iheight + 'px' } );
				$( '.bottom-up-part', this ).css( { top: (iheight - stopx) + 'px' } );
				$( '.top-down-part', this ).css( { top: (stopx - iheight) + 'px' } );
				$( '.top-down-part .slideup_desc', this ).css( { bottom: (stopx + 20) + 'px' } );
				$( '.left-right', this ).css( { left: -iwidth + 'px' } );
				$( '.left-right-uncover', this ).css( { left: '0px' } );
				$( '.right-left', this ).css( { left : iwidth + 'px' } );
				$( '.right-left-uncover', this ).css( { left: '0px' } );
				$( '.fade-in', this ).css( { opacity: 0.0 } );
				$( '.top-down-full', this ).css( { top: -iheight + 'px' } );
			});

		});

	});

}


// Try to detect touchscreens
function wpsub_is_touch_device() {
	return 'ontouchstart' in window || navigator.maxTouchPoints;
};


// Now do jQuery
jQuery(document).ready(function($){

	// Initial settings
	$( window ).load( function() {
		wpsub_init();
	});

	// Fix widths when resizing the window
	$( window ).resize( function() {
		wpsub_init();
	});


	// Mobile version
	if ( wpsub_is_touch_device() ) {

		// Click event
		$( 'body' ).on( 'click', '.wpsub-boxgrid', function(e) {
			e.preventDefault();
			var link = $( '.wpsub-target-mobile', this );

			if ( !$(this).is('.wpsub-clicked') ) {
				if ( !$(this).hasClass('wpsub-clicked') ) {
					$(this).addClass('wpsub-clicked');
				}
				setTimeout( function() {
					link.fadeIn();
				}, 380);
			}
			else {
				if ( $(this).hasClass('wpsub-clicked') ) {
					$(this).removeClass('wpsub-clicked');
				}
				link.fadeOut();
			}

		});

		$( 'body' ).on( 'click', '.wpsub-target-mobile', function(){
			window.location.href = $(this).attr('data-href');
		});


	}
	else {

		$( 'body' ).on( 'mouseover', '.wpsub-boxgrid', function(e) {
			if ( !$(this).hasClass('wpsub-clicked') ) {
				$(this).addClass('wpsub-clicked');
			}
		});

		$( 'body' ).on( 'mouseout', '.wpsub-boxgrid', function(e) {
			if ( $(this).hasClass('wpsub-clicked') ) {
				$(this).removeClass('wpsub-clicked');
			}
		});

	}

});
