<?php
// Initial settings for the wpsub plugin



// The minimum required Themple Framework version to use with this plugin
define( 'WPSUB_REQ_TPL_VERSION', '1.2' );



// Themple Lite Purgatory
global $tpl_load_version;
$wpsub_tpl_version = array(
	"name"		=> 'wpsub',
	"type"		=> 'plugin',
	"version"	=> '1.3',
);
if ( !is_array( $tpl_load_version ) ) {
	$tpl_load_version = $wpsub_tpl_version;
}
else {
	if ( version_compare( $tpl_load_version["version"], $wpsub_tpl_version["version"] ) < 0 ) {
		$tpl_load_version = $wpsub_tpl_version;
	}
}



// The initializer function
function wpsub_init() {

	global $tpl_load_version, $wpsub_tpl_version;

	// If previously the load_version was detected as this plugins TPL Framework instance then load it!
	if ( $tpl_load_version["name"] == $wpsub_tpl_version["name"] ) {

		require_once plugin_dir_path( dirname( __FILE__ ) ) . "framework/tpl-fw.php";

		// Load the framework's l10n files in this case
		$mo_filename = plugin_dir_path( dirname( __FILE__ ) ) . 'framework/languages/' . get_locale() . '.mo';
		if ( is_admin() && file_exists( $mo_filename ) ) {
			load_textdomain( 'tpl', $mo_filename );
		}

	}

}
add_action( 'after_setup_theme', 'wpsub_init' );



// This function is needed for interpreting the Settings page settings.
function wpsub_settings () {

	tpl_settings_page( 'wpsub_settings' );

}



// Adding submenus to a-boxes menu
function wpsub_add_admin_pages() {

	// Settings sub-page
	add_submenu_page(
		'wpsub_settings',
		__( 'a-boxes (WP Slide-up box) Settings', 'wpsub' ),
		__( 'Settings', 'wpsub' ),
        'manage_options',
        'wpsub_settings',
        ''
    );

	// Shortcode Generator
	add_submenu_page(
		'wpsub_settings',
		__( 'a-boxes (WP Slide-up box) Shortcode Generator', 'wpsub' ),
		__( 'Shortcode Generator', 'wpsub' ),
		'manage_options',
		'wpsub_shortcode',
		'wpsub_shortcode_generator'
	);


	// Support page
	add_submenu_page(
		'wpsub_settings',
		__( 'a-boxes (WP Slide-up box) Support', 'wpsub' ),
		__( 'Support', 'wpsub' ),
		'manage_options',
		'wpsub_support',
		'wpsub_support'
	);

}
add_action( 'admin_menu', 'wpsub_add_admin_pages', 99 );



/* SCRIPT HANDLING */


// Adding some extra settings just to make sure JS works fine
add_filter( 'tpl_admin_js_strings', 'wpsub_admin_js_values', 10, 1 );

function wpsub_admin_js_values( $values ) {

	$values["remover_confirm"] = 'yes';

	return $values;
}



// Load the plugin's front end CSS if it's enabled in admin
add_action( 'wp_enqueue_scripts', function() {

	wp_register_style( 'wpsub-style', plugins_url( 'assets/wpsub.min.css', dirname( __FILE__ ) ), array() );
	wp_register_script( 'wpsub-script', plugins_url( 'assets/wpsub.min.js', dirname( __FILE__ ) ), array( 'jquery' ) );

	wp_enqueue_style( 'wpsub-style' );
	wp_enqueue_script( 'wpsub-script' );

});



// JS functions for admin panel
add_action( 'admin_enqueue_scripts', function( $hook ) {

	wp_enqueue_script( 'wpsub-admin-script', plugins_url( '', dirname( __FILE__ ) ) . '/assets/wpsub-admin.min.js', array( 'jquery', 'tpl-admin-scripts' ) );
	wp_enqueue_style( 'wpsub-admin-style', plugins_url( '', dirname( __FILE__ ) ) . '/assets/wpsub-admin.min.css' );

	wp_localize_script( 'wpsub-admin-script', 'wpsub_ajax', array(
		"ajax_url"	=> admin_url( 'admin-ajax.php' ),
		"no_img_id"	=> __( 'Image ID not set.', 'wpsub' ),
		"output"	=> __( 'Output', 'wpsub' ),
	));

	// Making sure to load the front end assets only on the Shortcode Generator page
	if ( 'a-boxes_page_wpsub_shortcode' != $hook ) {
        return;
    }

	wp_enqueue_style( 'wpsub-style', plugins_url( 'assets/wpsub.min.css', dirname( __FILE__ ) ), array() );
	wp_enqueue_script( 'wpsub-script', plugins_url( 'assets/wpsub.min.js', dirname( __FILE__ ) ), array( 'jquery' ) );

});

/* END OF SCRIPT HANDLING */
