<?php
// Shortcodes added by the wpsub plugin



// Add Shortcode: [slideupbox]
function wpsub_shortcode ( $atts ) {

	extract( shortcode_atts( array(
		'id'		=> '',
		'mode'		=> 'bottom-up-full',
		'title'		=> '',
		'desc'		=> '',
		'target'	=> '',
		'class'		=> '',
		'bgcolor'	=> '',
		'color'		=> '',
		'alt'		=> '',
		'size'		=> 'full',
	), $atts ) );

	$default_values = tpl_get_value( array( 'name' => 'wpsub_default_vaules') );


	// Check the height and width of the image
	if ( ctype_digit( $id ) ) {
		$imgsrc = wp_get_attachment_image_src( $id, $size );

		if ( $imgsrc !== false ) {
			$image_url = $imgsrc[0];
		}

	} else {
		$image_url = $id;
	}


	// If no alt text was set, using the box title as the image alt text
	if ( $alt == '' ) {
		$alt = $title;
	}

	// If no color sting in the shortcode use, the default value
	if ( $color == '' ) {
		$color = $default_values['color'];
	}

	if ( $bgcolor == '' ) {
		$bgcolor = $default_values['bgcolor'];
	}


	// Escape the description early
	if ( $desc != '' ) {
		$desc = wp_kses( $desc, array(
			'br'	=> array(),
			'em'	=> array(),
			'strong'=> array(),
			'i'		=> array(),
			'b'		=> array(),
			'p'		=> array(),
			'span'	=> array(),
			'ul'	=> array(),
			'ol'	=> array(),
			'li'	=> array(),
		) );
	}


	// Print out the link in the description
	$notarget = false;

	while ( ( $link_pos = strpos( $desc, '{{' ) ) !== false ) {

		$tmp_desc = $desc;
		$end_pos = strpos( $tmp_desc, '}}' );
		$link = substr( $tmp_desc, $link_pos + 2, ( $end_pos - $link_pos - 2 ) );
		$sep_pos = strpos( $link, '|' );

		$desc = substr( $tmp_desc, 0, $link_pos ) . '<a href="' . esc_url( trim( substr( $link, ( $sep_pos + 1 ) ) ) ) . '" style="color: ' . $color . '">' . substr( $link, 0, $sep_pos ) . '</a>' . substr( $tmp_desc, ($end_pos + 2) );

		// If the text has link dont show the target link
		$notarget = true;

	}



	// $rtext is the HTML content the shortcode will output
	if ( $class != '' ) {
		$class = ' ' . $class;
	}

	$rtext = '<div id="slideup_' . esc_attr( $id ) . '" class="wpsub-boxgrid' . esc_attr( $class ) . '">';

	if ( $target != '' && !$notarget ) {
		$rtext .= '<a class="wpsub-target" href="' . esc_url( trim( $target ) ) . '"><div>';
	}

	if ( $id != '' ) {
		$rtext .= '<img class="wpsub-background" src="' . esc_url( trim( $image_url ) ) . '" alt="' . $alt . '" />';
	}

	$rtext .= '<div class="cover ' . $mode . '" style="background-color: ' . $bgcolor . '; color: ' . $color . ';">';

	$rtext .= '<h3 class="slideup_title" style="color: ' . $color . ';">' . esc_html( $title ) . '</h3>';
	$rtext .= '<p class="slideup_desc">' . $desc . '</p>';
	$rtext .= '</div>';

	if ( $target != '' && !$notarget ) {
		$rtext .= '<span class="wpsub-target-mobile" data-href="' . esc_url( trim( $target ) ) . '"></span>';
	}

	if ( $target != '' && !$notarget ) {
		$rtext .= '</div></a>';
	}

	$rtext .= '</div>
	';

	return $rtext;

}

add_shortcode( 'slideupbox', 'wpsub_shortcode' );
